Subject: List mode doesn't show relation number, but tries to get record title from related table
Description

Hi,

This issue is a regression, caused by fix of http://forge.typo3.org/issues/52133
Whenever an editor has detailed view of a table in "List" mode and selects columns, that are of type "inline" in TCA, he expects to see
number of relations, like it was always before (or, at best - titles of each relation, but this was never implemented), but after fix of
#52113 he sees title of record from related table.
The probelm is in fact, that "inline" fields store number of relations (e.g. 6), and that fix fetches record from related table by uid (which
will be 6). As result, editor sees either [6!] or title of record with uid=6 instead of number of relations.

I'm not sure, if it is really regression or it is a bug of BackendUtility::getProcessedValue(), but it exists.

TYPO3 6.1.7 and below work correctly, 6.1.8 and above - have this bug.
Not sure about TYPO3 CMS 6.2 though...

Related issues:
related to Core - Bug # 52133: Display title of related record when using fie... Resolved 2013-09-19
related to Core - Bug # 22970: t3lib_BEfunc::getProcessedValue() did not hand... Rejected 2010-06-23

History
#1 - 2014-07-08 14:48 - Caspar Stuebs

The fix of #52133 in uncomplete.

To handle TCA type inline, some more lines of code are needed.

Please see Ticket #22970 - Patch is submitted to gerrit since 9 month

#2 - 2015-01-06 21:40 - Wouter Wolters
- Status changed from New to Needs Feedback

Hi,

Is this still an issue in newer versions of TYPO3 CMS (6.2.9)?
If yes, can you provide a newer patch against master by using Gerrit? http://wiki.typo3.org/CWT
#3 - 2015-03-03 12:22 - Viktor Livakivskyi

Hi, Wouter.

Just checked it unde4r TYPO3 6.2.9 - this is no longer an issue.

#4 - 2015-05-23 12:26 - Riccardo De Contardi
- Status changed from Needs Feedback to Closed

Closed on request of the reporter.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
